curl --request POST \
--url 'https://api-prod.usefini.com/v2/test-suite/folders/public' \
--header 'Authorization: Bearer fini_your_api_key' \
--header 'Content-Type: application/json' \
--data '{
"botId": "00000000-0000-4000-8000-000000000001",
"name": "Refunds"
}'
const body = {
"botId": "00000000-0000-4000-8000-000000000001",
"name": "Refunds"
};
const response = await fetch("https://api-prod.usefini.com/v2/test-suite/folders/public", {
method: "POST",
headers: {
Authorization: "Bearer fini_your_api_key",
"Content-Type": "application/json",
},
body: JSON.stringify(body),
});
if (!response.ok) throw new Error(await response.text());
const result = await response.json();
import requests
import json
body = json.loads('''
{
"botId": "00000000-0000-4000-8000-000000000001",
"name": "Refunds"
}
''')
response = requests.request(
"POST",
"https://api-prod.usefini.com/v2/test-suite/folders/public",
headers={"Authorization": "Bearer fini_your_api_key"},
json=body,
)
response.raise_for_status()
result = response.json()
{
"id": "00000000-0000-4000-8000-000000000004",
"companyId": "00000000-0000-4000-8000-000000000011",
"botId": "00000000-0000-4000-8000-000000000001",
"name": "Refunds",
"createdAt": "2026-10-12T10:00:00.000Z"
}
Test Suite
Create collection
Create a collection for one agent.
POST
/
v2
/
test-suite
/
folders
/
public
curl --request POST \
--url 'https://api-prod.usefini.com/v2/test-suite/folders/public' \
--header 'Authorization: Bearer fini_your_api_key' \
--header 'Content-Type: application/json' \
--data '{
"botId": "00000000-0000-4000-8000-000000000001",
"name": "Refunds"
}'
const body = {
"botId": "00000000-0000-4000-8000-000000000001",
"name": "Refunds"
};
const response = await fetch("https://api-prod.usefini.com/v2/test-suite/folders/public", {
method: "POST",
headers: {
Authorization: "Bearer fini_your_api_key",
"Content-Type": "application/json",
},
body: JSON.stringify(body),
});
if (!response.ok) throw new Error(await response.text());
const result = await response.json();
import requests
import json
body = json.loads('''
{
"botId": "00000000-0000-4000-8000-000000000001",
"name": "Refunds"
}
''')
response = requests.request(
"POST",
"https://api-prod.usefini.com/v2/test-suite/folders/public",
headers={"Authorization": "Bearer fini_your_api_key"},
json=body,
)
response.raise_for_status()
result = response.json()
{
"id": "00000000-0000-4000-8000-000000000004",
"companyId": "00000000-0000-4000-8000-000000000011",
"botId": "00000000-0000-4000-8000-000000000001",
"name": "Refunds",
"createdAt": "2026-10-12T10:00:00.000Z"
}
Create a collection for one agent.
Headers
Body parameters
Response
Returns the collection record.curl --request POST \
--url 'https://api-prod.usefini.com/v2/test-suite/folders/public' \
--header 'Authorization: Bearer fini_your_api_key' \
--header 'Content-Type: application/json' \
--data '{
"botId": "00000000-0000-4000-8000-000000000001",
"name": "Refunds"
}'
const body = {
"botId": "00000000-0000-4000-8000-000000000001",
"name": "Refunds"
};
const response = await fetch("https://api-prod.usefini.com/v2/test-suite/folders/public", {
method: "POST",
headers: {
Authorization: "Bearer fini_your_api_key",
"Content-Type": "application/json",
},
body: JSON.stringify(body),
});
if (!response.ok) throw new Error(await response.text());
const result = await response.json();
import requests
import json
body = json.loads('''
{
"botId": "00000000-0000-4000-8000-000000000001",
"name": "Refunds"
}
''')
response = requests.request(
"POST",
"https://api-prod.usefini.com/v2/test-suite/folders/public",
headers={"Authorization": "Bearer fini_your_api_key"},
json=body,
)
response.raise_for_status()
result = response.json()
{
"id": "00000000-0000-4000-8000-000000000004",
"companyId": "00000000-0000-4000-8000-000000000011",
"botId": "00000000-0000-4000-8000-000000000001",
"name": "Refunds",
"createdAt": "2026-10-12T10:00:00.000Z"
}
Was this page helpful?

